# pandas.to_numeric

`pandas.``to_numeric`(arg, errors='raise')

  Convert argument to a numeric type.

  Parameters:

  arg : list, tuple or array of objects, or Series

  errors : {‘ignore’, ‘raise’, ‘coerce’}, default ‘raise’

  > - If ‘raise’, then invalid parsing will raise an exception
  > - If ‘coerce’, then invalid parsing will be set as NaN
  > - If ‘ignore’, then invalid parsing will return the input

  Returns:

  ret : numeric if parsing succeeded.

  > Return type depends on input. Series if Series, otherwise ndarray

  Examples

  Take separate series and convert to numeric, coercing when told to

      >>> import pandas as pd
      >>> s = pd.Series(['1.0', '2', -3])
      >>> pd.to_numeric(s)
      >>> s = pd.Series(['apple', '1.0', '2', -3])
      >>> pd.to_numeric(s, errors='ignore')
      >>> pd.to_numeric(s, errors='coerce')